.bar1, .bar2, .bar3 {
    width: 35px;
    height: 5px;
    background-color: #fff;
    margin: 6px 0;
    transition: 0.4s;
}

.open .bar1 {
    -webkit-transform: rotate(-45deg) translate(-9px, 6px);
    transform: rotate(-45deg) translate(-9px, 6px);
}

.open .bar2 {opacity: 0;}

.open .bar3 {
    -webkit-transform: rotate(45deg) translate(-8px, -8px);
    transform: rotate(45deg) translate(-8px, -8px);
}

.nav-block {
    @keyframes fadeIn
    {
        0% { opacity: 0}
        100%{  opacity: 1}
    }

    display: flex;
    background-color: #2F3649;
    align-items: center;
    justify-content: space-between;

    .logo {
        width: 18%;
        color: #fff;
        font-size: x-large;
        display: flex;

        span:nth-child(1) {
            font-weight: 900;
            margin-left: 15px;
        }
    }

    .log-reg {
        animation-name: fadeIn;
        animation-duration: 400ms;
        color: #3697D6;
    }
}

.nav-middle-block {
    animation-name: fadeIn;
    animation-duration: 400ms;
    display: flex;
    align-items: center;
    width: 64%;
    justify-content: space-between;

    nav {
        padding: 15px 0px;
        background-color: #19212E;

        a {
            color: #7B84A4;
            padding: 0px 15px;
            display: flex;
            align-items: center;

            i {
                margin-left: 5px;
            }
        }

        ul {
            list-style-type: none;
            display: flex;
            padding: 0;
            flex-wrap: wrap;
        }
    }

    .searchbar {
        animation-name: fadeIn;
        animation-duration: 400ms;
        position: relative;

        input {
            outline: none;
            border-radius: 15px;
            border: 1.5px solid #19212E;
            padding: 5px 70px;
        }

        button {
            position: absolute;
            right: 10px;
            top: 7px;
            color: #7B84A4;
            background-color: #fff;
            border: none;
        }
    }
}


// nav left
.left-responsive-nav {
    animation-name: fadeIn;
    animation-duration: 400ms;
    width: 280px;
    background-color: #EEF1F8;
    position: absolute;
    z-index: 5;
    height: 100%;
  }
  
  .sticky-left {
    position: fixed;
    top: 86px;
    left: 0;
    z-index: 1;
    height: 100%;
    border-right: 1.5px solid #EEF1F8;
  }


.hide-left-menu {
    display: none;
}



/* iki 1174 */
@media only screen and (max-width: 1174px) {
    .nav-block {
        height: 86px;
        position: relative;
    }

    .hamburger {
        display: block;
        position: absolute;
        right: 30px;
    }

    .nav-middle-block {
        position: absolute;
        flex-direction: column;
        top: 100px;
        z-index: 8;
        width: initial;

        .searchbar input {
          padding: 5px 45px;
        }
    }

    .log-reg {
        position: absolute;
        top: 380px;
        z-index: 8;
        font-size: 24px;
        padding-left: 15px;
    }

    .nav-middle-block nav {
        font-size: 24px;
        background-color: #EEF1F8;
        width: 100%;
    }

    nav ul {
        flex-direction: column;
    }

    .searchbar {
      padding-left: 15px;

      input {
          padding: 5px 40px;
      }
    }

}
/* nuo 1174 */
@media only screen and (min-width: 1174px) {
    .hamburger {
      display: none;
    }

    .left-responsive-nav {
        display: none;
    }

    .nav-middle-block {
        display: flex;
    }
    .log-reg {
        justify-content: center;
        display: flex;
        width: 18%;
    }

    .topnav-padd {
        padding-bottom: 86px;
    }

    .post-info {
        padding-top: 20px;
    }
}

/* iki 790 */
@media only screen and (max-width: 790px) {
    .sticky-left {
        position: inherit;
        border-right: none;
    }
}
